package pl.edu.pwr.tkubik.simplejpa.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pl.edu.pwr.tkubik.simplejpa.model.Owner;
import pl.edu.pwr.tkubik.simplejpa.repository.OwnerRepository;

import java.util.List;

@Service
public class OwnerServiceImpl implements OwnerService {
    private final OwnerRepository ownerRepository;

    @Autowired
    public OwnerServiceImpl(OwnerRepository ownerRepository){
        this.ownerRepository = ownerRepository;
    }

    @Override
    public List<Owner> findOwnerByName(String name) {
        return ownerRepository.findByName(name);
    }

    @Override
    public Owner addOwner(Owner owner) {
        return ownerRepository.save(owner);
    }
}
